package com.ruoyi.system.entity;

import java.sql.Blob;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

/**
 * 流程定义对象 bpm_process
 *
 * @author ruoyi
 * @date 2023-10-10
 */
public class BpmProcess extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long processId;

    /**
     * 流程名称
     */
    @Excel(name = "流程名称")
    private String processName;

    /**
     * 流程别名
     */
    @Excel(name = "流程别名")
    private String processKey;

    /**
     * 流程开启状态
     */
    @Excel(name = "流程开启状态")
    private Long processOpneState;

    /**
     * 流程类型。例如（OA类型，mes类型）
     */
    @Excel(name = "流程类型。例如", readConverterExp = "O=A类型，mes类型")
    private Long processType;

    /**
     * 流程部署时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "流程部署时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date processDeployTime;

    /**
     * 启动事件类型
     */
    @Excel(name = "启动事件类型")
    private Long startEventType;

    /**
     * 版本注释
     */
    @Excel(name = "版本注释")
    private String note;

    /**
     * 版本状态（0代表最新版本，1代表历史版本）
     */
    @Excel(name = "版本状态", readConverterExp = "0=代表最新版本，1代表历史版本")
    private Long processVersion;

    /**
     * xml流文件
     */
    @Excel(name = "xml流文件")
    private String processXml;

    /**
     * 节点json串
     */
    @Excel(name = "节点json串")
    private String processJson;

    /**
     * xml标签内容
     */
    @Excel(name = "xml标签内容")
    private String processXmlContent;

    /**
     * xml文件存放地址
     */
    @Excel(name = "xml文件存放地址")
    private String processXmlPath;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 回传的xml流文件
     */
    // private MultipartFile fileXML;

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("BpmProcess{");
        sb.append("processId=").append(processId);
        sb.append(", processName='").append(processName).append('\'');
        sb.append(", processKey='").append(processKey).append('\'');
        sb.append(", processOpneState=").append(processOpneState);
        sb.append(", processType=").append(processType);
        sb.append(", processDeployTime=").append(processDeployTime);
        sb.append(", startEventType=").append(startEventType);
        sb.append(", note='").append(note).append('\'');
        sb.append(", processVersion=").append(processVersion);
        sb.append(", processXml='").append(processXml).append('\'');
        sb.append(", processJson='").append(processJson).append('\'');
        sb.append(", processXmlContent='").append(processXmlContent).append('\'');
        sb.append(", processXmlPath='").append(processXmlPath).append('\'');
        sb.append(", delFlag='").append(delFlag).append('\'');
        sb.append('}');
        return sb.toString();
    }

    public Long getProcessId() {
        return processId;
    }

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessKey() {
        return processKey;
    }

    public void setProcessKey(String processKey) {
        this.processKey = processKey;
    }

    public Long getProcessOpneState() {
        return processOpneState;
    }

    public void setProcessOpneState(Long processOpneState) {
        this.processOpneState = processOpneState;
    }

    public Long getProcessType() {
        return processType;
    }

    public void setProcessType(Long processType) {
        this.processType = processType;
    }

    public Date getProcessDeployTime() {
        return processDeployTime;
    }

    public void setProcessDeployTime(Date processDeployTime) {
        this.processDeployTime = processDeployTime;
    }

    public Long getStartEventType() {
        return startEventType;
    }

    public void setStartEventType(Long startEventType) {
        this.startEventType = startEventType;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Long getProcessVersion() {
        return processVersion;
    }

    public void setProcessVersion(Long processVersion) {
        this.processVersion = processVersion;
    }

    public String getProcessXml() {
        return processXml;
    }

    public void setProcessXml(String processXml) {
        this.processXml = processXml;
    }

    public String getProcessJson() {
        return processJson;
    }

    public void setProcessJson(String processJson) {
        this.processJson = processJson;
    }

    public String getProcessXmlContent() {
        return processXmlContent;
    }

    public void setProcessXmlContent(String processXmlContent) {
        this.processXmlContent = processXmlContent;
    }

    public String getProcessXmlPath() {
        return processXmlPath;
    }

    public void setProcessXmlPath(String processXmlPath) {
        this.processXmlPath = processXmlPath;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }


}
